Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 2877)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 2878)
@@ -52,6 +52,7 @@
 import org.eclipse.jface.window.Window;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.SWTError;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.MouseEvent;
@@ -95,41 +96,41 @@
  * 
  */
 public class SynopticEditionEditor extends TXMEditor<Text> implements IEditionEditor {
-	
+
 	/** The Constant ID. */
 	public final static String ID = SynopticEditionEditor.class.getName();
-	
+
 	LinkedHashMap<String, EditionPanel> editionPanels = new LinkedHashMap<>();
-	
+
 	/** The page_label: show current page name. */
 	org.eclipse.swt.widgets.Text page_text;
-	
+
 	Label page_label;
-	
+
 	GLComposite editionsArea;
-	
+
 	private List<String> editionNames;
-	
+
 	private CQPCorpus corpus;
-	
+
 	private MainCorpus mainCorpus;
-	
+
 	private Text text;
-	
+
 	private Button editionsChooser;
-	
+
 	// private Label editionsLabel;
 	private GLComposite controlsArea;
-	
+
 	// private GLComposite annotationWidgetsArea;
 	// private TXMEditorToolBar supplementaryButtonToolbar;
 	private ISelectionProvider selProvider;
-	
+
 	private org.eclipse.swt.widgets.Text text_text;
-	
+
 	// private Label text_label;
 	private TXMAutoCompleteField identifiantComboAutoCompleteField;
-	
+
 	// TODO finish editor conversion
 	@Override
 	public Text getResult() {
@@ -138,23 +139,23 @@
 		}
 		return text;
 	}
-	
+
 	/**
 	 * Instantiates a new txm browser.
 	 */
 	public SynopticEditionEditor() {
 		selProvider = new ISelectionProvider() {
-			
+
 			@Override
 			public void setSelection(ISelection selection) {}
-			
+
 			@Override
 			public void removeSelectionChangedListener(ISelectionChangedListener listener) {}
-			
+
 			@Override
 			public ISelection getSelection() {
 				ITextSelection sel = new ITextSelection() {
-					
+
 					@Override
 					public boolean isEmpty() {
 						for (EditionPanel panel : editionPanels.values()) {
@@ -163,7 +164,7 @@
 						}
 						return true;
 					}
-					
+
 					@Override
 					public String getText() {
 						for (EditionPanel panel : editionPanels.values()) {
@@ -172,22 +173,22 @@
 						}
 						return EditionUIMessages.CommandLink_empty;
 					}
-					
+
 					@Override
 					public int getStartLine() {
 						return 0;
 					}
-					
+
 					@Override
 					public int getOffset() {
 						return 0;
 					}
-					
+
 					@Override
 					public int getLength() {
 						return 0;
 					}
-					
+
 					@Override
 					public int getEndLine() {
 						return 0;
@@ -195,31 +196,31 @@
 				};
 				return sel;
 			}
-			
+
 			@Override
 			public void addSelectionChangedListener(ISelectionChangedListener listener) {}
 		};
-		
+
 	}
-	
+
 	public void setHighlightWordsById(RGBA color, HashSet<String> wordids) {
 		for (EditionPanel panel : editionPanels.values()) {
 			panel.setHighlightWordsById(color, wordids);
 		}
 	}
-	
+
 	public void addHighlightWordsById(RGBA color, String wordid) {
 		for (EditionPanel panel : editionPanels.values()) {
 			panel.addHighlightWordsById(color, wordid);
 		}
 	}
-	
+
 	public void addHighlightWordsById(RGBA color, Collection<String> wordids) {
 		for (EditionPanel panel : editionPanels.values()) {
 			panel.addHighlightWordsById(color, wordids);
 		}
 	}
-	
+
 	public void removeHighlightWordsById(RGBA color, Collection<String> wordids) {
 		for (EditionPanel panel : editionPanels.values()) {
 			if (!panel.isDisposed()) {
@@ -227,7 +228,7 @@
 			}
 		}
 	}
-	
+
 	public void removeHighlightWordsById(RGBA color, String wordid) {
 		for (EditionPanel panel : editionPanels.values()) {
 			if (!panel.isDisposed()) {
@@ -235,7 +236,7 @@
 			}
 		}
 	}
-	
+
 	// /**
 	// *
 	// * @param wordids2 all the words to highlight
@@ -257,7 +258,7 @@
 	//
 	//
 	// }
-	
+
 	/**
 	 * First page.
 	 */
@@ -267,7 +268,7 @@
 		}
 		updatePageLabel();
 	}
-	
+
 	/**
 	 * Last page.
 	 */
@@ -276,7 +277,7 @@
 			panel.lastPage();
 		updatePageLabel();
 	}
-	
+
 	/**
 	 * Previous page.
 	 */
@@ -285,7 +286,7 @@
 			panel.previousPage();
 		updatePageLabel();
 	}
-	
+
 	/**
 	 * Next page.
 	 */
@@ -294,7 +295,7 @@
 			panel.nextPage();
 		updatePageLabel();
 	}
-	
+
 	/**
 	 * Direct access to a page with a name.
 	 */
@@ -303,9 +304,9 @@
 			panel.goToPage(name);
 		}
 		updatePageLabel();
-		
+
 	}
-	
+
 	/**
 	 * Direct access to a text with a name.
 	 */
@@ -325,10 +326,10 @@
 		catch (Exception e) {
 			e.printStackTrace();
 		}
-		
+
 		Log.info(NLS.bind("No {0} text found.", id));
 	}
-	
+
 	/**
 	 * Previous text.
 	 */
@@ -338,7 +339,7 @@
 		}
 		updatePageLabel();
 	}
-	
+
 	/**
 	 * Next text.
 	 */
@@ -348,7 +349,7 @@
 		}
 		updatePageLabel();
 	}
-	
+
 	/**
 	 * Previous text.
 	 */
@@ -358,7 +359,7 @@
 		}
 		updatePageLabel();
 	}
-	
+
 	/**
 	 * Next text.
 	 */
@@ -368,63 +369,63 @@
 		}
 		updatePageLabel();
 	}
-	
+
 	public Composite getEditionArea() {
 		return editionsArea;
 	}
-	
+
 	// public Composite getUpperToolbarArea() {
 	// return annotationWidgetsArea;
 	// }
-	
+
 	public Composite getLowerToolbarArea() {
 		return controlsArea;
 	}
-	
+
 	@Override
 	public void _createPartControl() {
-		
+
 		// remove the compute button
 		this.removeComputeButton();
-		
+
 		editionsArea = getResultArea();
-		
+
 		controlsArea = getBottomToolbar().installGLComposite(EditionUIMessages.controls, 15, false);
 		controlsArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		// spacer
 		new Label(controlsArea, SWT.NONE).setText("  "); //$NON-NLS-1$
-		
+
 		// annotationWidgetsArea = new GLComposite(getBetweenTopToolbarsAndResultComposite(), SWT.NONE, "Edition annotation area");
 		// this.annotationWidgetsArea.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
-		
+
 		// supplementaryButtonToolbar = new TXMEditorToolBar(this, getTopToolbarContainer(), annotationWidgetsArea, SWT.NONE, "annotation urs");
-		
+
 		// Edition names label
 		editionsChooser = new Button(controlsArea, SWT.PUSH);
 		editionsChooser.setText(StringUtils.join(editionNames, " | ")); //$NON-NLS-1$
-		
+
 		if (mainCorpus.getProject().getBuiltEditionNames().size() > 1) {
-			
+
 			editionsChooser.addSelectionListener(new SelectionListener() {
-				
+
 				@Override
 				public void widgetSelected(SelectionEvent e) {
 					try {
 						List<String> availableEditions = mainCorpus.getProject().getBuiltEditionNames();
 						if (availableEditions.size() == 0) return;
 						if (availableEditions.size() == 1) return;
-						
-						
+
+
 						Shell shell = e.display.getActiveShell();
 						EditionSelectorDialog d = new EditionSelectorDialog(shell, mainCorpus, editionNames);
-						
+
 						if (d.open() == Window.OK) {
 							Object[] rez = d.getResult();
 							editionNames = new ArrayList<>();
 							for (int i = 0; i < rez.length; i++) {
 								editionNames.add(rez[i].toString());
 							}
-							
+
 							editionsChooser.setText(StringUtils.join(editionNames, " | ")); //$NON-NLS-1$
 							openEditions(text, editionNames);
 							firstPage();
@@ -435,7 +436,7 @@
 						System.out.println(NLS.bind(EditionUIMessages.errorWhileGettingAvailableEditionsColonP0, e2));
 					}
 				}
-				
+
 				@Override
 				public void widgetDefaultSelected(SelectionEvent e) {}
 			});
@@ -443,7 +444,7 @@
 		else {
 			editionsChooser.setEnabled(false);
 		}
-		
+
 		// Navigation buttons
 		GLComposite pageNavigationComposite = new GLComposite(controlsArea, SWT.NONE, EditionUIMessages.pageButtons);
 		pageNavigationComposite.getLayout().numColumns = 6;
@@ -455,7 +456,7 @@
 		Button next = new Button(pageNavigationComposite, SWT.FLAT | SWT.PUSH);
 		Button last = new Button(pageNavigationComposite, SWT.FLAT | SWT.PUSH);
 		pageNavigationComposite.setLayoutData(new GridData(GridData.CENTER, GridData.FILL, true, false));
-		
+
 		GLComposite textNavigationComposite = new GLComposite(controlsArea, SWT.NONE, EditionUIMessages.textButtons);
 		textNavigationComposite.getLayout().numColumns = 7;
 		textNavigationComposite.getLayout().horizontalSpacing = 1;
@@ -495,9 +496,9 @@
 		Button lastText = new Button(textNavigationComposite, SWT.FLAT | SWT.PUSH);
 		textNavigationComposite.setLayoutData(new GridData(GridData.CENTER, GridData.FILL, false, false));
 		// Layouts data
-		
+
 		editionsChooser.setLayoutData(new GridData(GridData.BEGINNING, GridData.CENTER, false, false));
-		
+
 		// GridData buttonGridData = new GridData(GridData.END,GridData.CENTER, true, false);
 		// buttonGridData.widthHint = 30;
 		// buttonGridData.heightHint = 30;
@@ -511,12 +512,12 @@
 		// centerButtonGridData.heightHint = 30;
 		// first.setLayoutData(centerButtonGridData);
 		// previous.setLayoutData(buttonGridData);
-		
+
 		// set sizes
 		GridData gdata = new GridData(GridData.END, GridData.CENTER, false, false);
 		gdata.minimumWidth = 25;
 		gdata.widthHint = 25;
-		
+
 		page_text.setLayoutData(gdata);
 		// page_label.setLayoutData(new GridData(GridData.BEGINNING,GridData.CENTER, false, false));
 		//
@@ -527,11 +528,11 @@
 		// last.setLayoutData(centerButtonGridData);
 		// nextText.setLayoutData(buttonGridData);
 		// lastText.setLayoutData(buttonGridData);
-		
+
 		// if (editionsChooser != null)
 		// editionsChooser.setLayoutData(new GridData(GridData.BEGINNING,GridData.CENTER, false, true));
 		// else spacer.setLayoutData(new GridData(GridData.END,GridData.CENTER, true, true));
-		
+
 		// set labels
 		page_label.setText(""); //$NON-NLS-1$
 		// text_label.setText(""); //$NON-NLS-1$
@@ -551,30 +552,30 @@
 		nextText.setToolTipText(EditionUIMessages.nextText);
 		lastText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARDEND));
 		lastText.setToolTipText(EditionUIMessages.lastTextOfTheCorpus);
-		
+
 		page_text.addKeyListener(new KeyListener() {
-			
+
 			@Override
 			public void keyReleased(KeyEvent e) {
 				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
 					goToPage(page_text.getText());
 				}
 			}
-			
+
 			@Override
 			public void keyPressed(KeyEvent e) {}
 		});
 		text_text.addKeyListener(new KeyListener() {
-			
+
 			@Override
 			public void keyReleased(KeyEvent e) {
 				if (identifiantComboAutoCompleteField.isOpen()) return;
-				
+
 				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
 					if (identifiantComboAutoCompleteField.isOpen()) {
 						return; // ignore keys when content assist is opened
 					}
-					
+
 					goToText(text_text.getText());
 				}
 				else if (e.keyCode == SWT.ARROW_DOWN) {
@@ -584,18 +585,18 @@
 					previousText(false);
 				}
 			}
-			
+
 			@Override
 			public void keyPressed(KeyEvent e) {}
 		});
 		text_text.addMouseWheelListener(new MouseWheelListener() {
-			
+
 			@Override
 			public void mouseScrolled(MouseEvent e) {
 				if (identifiantComboAutoCompleteField.isOpen()) {
 					return;
 				}
-				
+
 				if (e.count > 0) {
 					previousText(false);
 				}
@@ -607,60 +608,60 @@
 		});
 		// set listeners
 		first.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				firstPage();
 			}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				firstPage();
 			}
 		});
 		previous.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				previousPage();
 			}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				previousPage();
 			}
 		});
 		next.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				nextPage();
 			}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				nextPage();
 			}
 		});
 		last.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				lastPage();
 			}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				lastPage();
 			}
 		});
 		nextText.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				nextText();
 			}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				nextText();
@@ -668,24 +669,24 @@
 		});
 		// set listeners
 		previousText.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				previousText(false);
 			}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				previousText(false);
 			}
 		});
 		lastText.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				lastText();
 			}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				lastText();
@@ -693,18 +694,18 @@
 		});
 		// set listeners
 		firstText.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				firstText();
 			}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				firstText();
 			}
 		});
-		
+
 		try {
 			// ensure all texts have build their page indexes
 			for (Text t : mainCorpus.getProject().getTexts()) {
@@ -718,7 +719,7 @@
 			e1.printStackTrace();
 		}
 	}
-	
+
 	// /**
 	// * Opens the default corpus edition with the first Text
 	// *
@@ -728,7 +729,7 @@
 	// if (corpus == null) return false;
 	// return openEditions(corpus, corpus.getProject().getFirstText(), corpus.getProject().getDefaultEdition());
 	// }
-	
+
 	/**
 	 * update editor title using the first panel only
 	 */
@@ -743,13 +744,13 @@
 				continue;
 			}
 			this.setPartName(e.getText().getName() + " - " + cpage.getName()); //$NON-NLS-1$
-			
+
 			if (page_text.isDisposed()) {
 				continue;
 			}
 			page_text.setText(cpage.getName());
 			page_label.setText(" / " + e.getNumPages()); //$NON-NLS-1$
-			
+
 			text_text.setText(p.getCurrentText().getName());
 			// try {
 			// text_label.setText(" / "+corpus.getCorpusTextIdsList().length);
@@ -757,18 +758,18 @@
 			// // TODO Auto-generated catch block
 			// e1.printStackTrace();
 			// }
-			
+
 			controlsArea.layout();
 			return;
 		}
 	}
-	
+
 	// public boolean openEditions(CQPCorpus corpus, String textID, String... editionNames) {
 	// Text text = corpus.getProject().getText(textID);
 	// if (text == null) return false;
 	// return openEditions(corpus, text, editionNames);
 	// }
-	
+
 	// /**
 	// * Opens a list of edition corpus
 	// * @param corpus
@@ -777,7 +778,7 @@
 	// public boolean openEditions(CQPCorpus corpus, Text text, String... editionNames) {
 	// return openEditions(corpus, text, Arrays.asList(editionNames));
 	// }
-	
+
 	/**
 	 * Opens a list of edition corpus
 	 * 
@@ -785,7 +786,7 @@
 	 * @param editionNames
 	 */
 	public boolean openEditions(Text text, List<String> editionNames) {
-		
+
 		try {
 			text.compute();
 		}
@@ -798,33 +799,38 @@
 			panel.dispose();
 		}
 		editionPanels = new LinkedHashMap<>();
-		
+
 		editionsArea.getLayout().numColumns = editionNames.size();
-		
+
 		for (int i = 0; i < editionNames.size(); i++) {
 			String editionName = editionNames.get(i);
 			// System.out.println("EDITION NAME: "+editionName);
 			Composite container = editionsArea;// .getContainer(i);
 			Edition edition = text.getEdition(editionName);
 			if (edition != null) {
-				EditionPanel panel = new EditionPanel(this, container, SWT.BORDER, edition);
-				panel.initSelectionProvider();
-				
-				if (i == 0) { // TODO: how to manage multiple menumanager -> the text selection does not work only the first panel selection is used
-					panel.initMenu();
-					getSite().registerContextMenu(panel.getMenuManager(), panel.getSelectionProvider());
+				try {
+					EditionPanel panel = new EditionPanel(this, container, SWT.BORDER, edition);
+					panel.initSelectionProvider();
+
+					if (i == 0) { // TODO: how to manage multiple menumanager -> the text selection does not work only the first panel selection is used
+						panel.initMenu();
+						getSite().registerContextMenu(panel.getMenuManager(), panel.getSelectionProvider());
+					}
+
+					editionPanels.put(editionName, panel);
+				} catch (SWTError e) {
+					Log.severe("TXM could not open the internal browser: "+e);
+					Log.printStackTrace(e);
 				}
-				
-				editionPanels.put(editionName, panel);
 			}
 			else {
-				System.out.println(NLS.bind(EditionUIMessages.warningColonCouldNotFindEditionForNameEqualsP0, editionName));
+				Log.warning(NLS.bind(EditionUIMessages.warningColonCouldNotFindEditionForNameEqualsP0, editionName));
 			}
 		}
 		editionsArea.layout();
 		return true;
 	}
-	
+
 	// /**
 	// *
 	// * //TODO: add getDefaultEditions to Corpus object
@@ -840,15 +846,15 @@
 	// return new String[]{defaultEdition};
 	// }
 	// }
-	
+
 	@Override
 	public void doSaveAs() {
 		return;
 	}
-	
+
 	@Override
 	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
-		
+
 		corpus = ((SynopticEditorInput) input).getCorpus(); // corpus focused when opening the editions
 		try {
 			corpus.compute(false);
@@ -860,24 +866,24 @@
 		mainCorpus = corpus.getMainCorpus(); // get the main corpus of the corpus
 		text = ((SynopticEditorInput) input).getText();
 		editionNames = ((SynopticEditorInput) input).getEditions();
-		
+
 		super.init(site, input);
 	}
-	
+
 	public boolean isDisposed() {
 		return editionsArea.isDisposed();
 	}
-	
+
 	@Override
 	public boolean isSaveAsAllowed() {
 		return false;
 	}
-	
+
 	@Override
 	public void _setFocus() {
 		this.getEditionPanel(0).setFocus();
 	}
-	
+
 	public void backToText(Text text, String line_wordid) {
 		try {
 			text.compute();
@@ -892,13 +898,13 @@
 			e.printStackTrace();
 		}
 	}
-	
+
 	public void reloadPage() {
 		for (EditionPanel p : editionPanels.values()) {
 			p.reloadPage();
 		}
 	}
-	
+
 	@Override
 	public String getTextSelection() {
 		String sel = null;
@@ -910,16 +916,16 @@
 		}
 		return EditionUIMessages.CommandLink_empty;
 	}
-	
+
 	@Override
 	public CQPCorpus getCorpus() {
 		return corpus;
 	}
-	
+
 	public CQPCorpus getMainCorpus() {
 		return mainCorpus;
 	}
-	
+
 	public EditionPanel getEditionPanel(int i) {
 		int n = 0;
 		for (EditionPanel p : editionPanels.values()) {
@@ -929,7 +935,7 @@
 		}
 		return null;
 	}
-	
+
 	/**
 	 * 
 	 * @return the first and last word ID covered by the text selection of the first EditionPanel
@@ -940,7 +946,7 @@
 		}
 		return null;
 	}
-	
+
 	/**
 	 * 
 	 * @param text2 the Text to set
@@ -952,14 +958,14 @@
 		}
 		updatePageLabel();
 	}
-	
+
 	public void setFocusedWordID(String focusid) {
 		for (EditionPanel p : editionPanels.values()) {
 			p.setFocusedWordID(focusid);
 		}
 		updatePageLabel();
 	}
-	
+
 	/**
 	 * TODO finish implementation in EditionPanel
 	 * 
@@ -970,29 +976,29 @@
 			p.setHighlightedArea(positions);
 		}
 	}
-	
+
 	public void updateWordStyles() {
 		for (EditionPanel p : editionPanels.values()) {
 			p.updateWordStyles();
 		}
 	}
-	
+
 	public void addFontWeightWordsById(String weight, List<String> previousSelectedUnitIDS) {
 		for (EditionPanel p : editionPanels.values()) {
 			p.addFontWeightWordsById(weight, previousSelectedUnitIDS);
 		}
 	}
-	
+
 	public void removeFontWeightWordsById(List<String> previousSelectedUnitIDS) {
 		for (EditionPanel p : editionPanels.values()) {
 			p.removeFontWeightWordsById(previousSelectedUnitIDS);
 		}
 	}
-	
+
 	public void fireIsDirty() {
 		this.firePropertyChange(IEditorPart.PROP_DIRTY);
 	}
-	
+
 	/**
 	 * Clears all highlighted words.
 	 */
@@ -1001,17 +1007,17 @@
 			p.removeHighlightWords();
 		}
 	}
-	
+
 	@Override
 	public void updateResultFromEditor() {
 		// TODO Auto-generated method stub
 	}
-	
+
 	@Override
 	public void updateEditorFromResult(boolean update) throws Exception {
 		this.firstPage();
 	}
-	
+
 	/**
 	 * Browser command that opens an edition
 	 * 
@@ -1022,7 +1028,7 @@
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 		ICommandService cmdService = window.getService(ICommandService.class);
 		Command cmd = cmdService.getCommand(id);
-		
+
 		// get the parameter
 		ArrayList<Parameterization> parameters = new ArrayList<>();
 		for (String k : params.keySet()) {
@@ -1035,10 +1041,10 @@
 				System.out.println(NLS.bind(EditionUIMessages.warningColonUnknownedParameterIdEqualsP0, k));
 			}
 		}
-		
+
 		// build the parameterized command
 		ParameterizedCommand pc = new ParameterizedCommand(cmd, parameters.toArray(new Parameterization[parameters.size()]));
-		
+
 		// execute the command
 		IHandlerService handlerService = window.getService(IHandlerService.class);
 		try {
@@ -1049,7 +1055,7 @@
 		}
 		return null;
 	}
-	
+
 	/**
 	 * 
 	 * @param editor may be null, will be used by the command to display its result
@@ -1066,7 +1072,7 @@
 		for (int i = 0; i + 1 < arguments.length; i += 2) {
 			params.put(arguments[i].toString(), arguments[i + 1].toString());
 		}
-		
+
 		String id = params.get("id"); //$NON-NLS-1$
 		if (id != null) {
 			params.remove("id"); //$NON-NLS-1$
